Bug 736138 - Replacing private key on external CA install
Summary: Replacing private key on external CA install
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pki-ca
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 19:15 UTC by Rob Crittenden
Modified: 2012-08-07 17:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:21:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 773082 None None None Never

Internal Links: 773082

Description Rob Crittenden 2011-09-06 19:15:48 UTC
This may apply generally to dogtag as well but it came up as a freeipa issue. Looking for some documentation help.

If a user decides they want to install dogtag with an external CA they need to know how it works prior to contacting the external CA. They need to know it is a two-stage process and that the first stage produces a CSR to be provided to the external CA for signing.

We've already had one case where a user generated their own CSR and got it signed by a CA that charges $$$ to sign a CA. There must be some way to run the first stage of the installation, modify some config and replace the key, then continue with the user-generated key.

I'm totally fine if there is some ugly, manual process involved. I think it will look something like:

1. User generates CSR and gets it signed
2. Install IPA --external-ca
3. Stop all pki-cad
4. Manually install private key (using pk12util I guess), perhaps modify CS.cfg.
5. Start pki-cad
6. Continue installation of IPA with normal external options.

Comment 2 Fedora Admin XMLRPC Client 2012-03-07 00:27:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2012-08-07 17:21:28 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.